Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01989 Core Minor Always Jul 8, 2008, 06:42 Jul 26, 2010, 09:43
Tester emuman View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows XP/Vista 32-bit
Status [?] Confirmed Driver cps1.cpp
Version 0.126 Fixed in Version Build Normal
Summary 01989: captcomm: m68k / m68000 core: inconsistency between real board and mame
Description captcomm demo screen, Captain Commando's electric shock should be facing right. Mack's demo replay is totally incorrect, other's too.

Verified on arcade and on any m68k ASM based emulator such as mame 0.67, nebula, kawaks, fba (asm)

the problem is in the C version of m68k core
Steps To Reproduce
Additional Information FYI another related report by me: 01040
Flags Verified with Original
Regression Version
Affected Sets / Systems captcomm
Attached Files
png file icon asm.png (13,077 bytes) Jul 8, 2008, 06:42
png file icon c.png (13,054 bytes) Jul 8, 2008, 06:43
Relationships
related to 03956Acknowledged captcomm: Original PCB video 
related to 04012Acknowledged ffight, area88, cawing: 30 impulses / second autofire doesn't work with game design "flaws" 
Notes
9
User avatar
No.01538
Fujix
Administrator
Jul 8, 2008, 12:23
I confirmed the existence of the issue.
User avatar
No.01539
robiza
Developer
Jul 8, 2008, 12:51
a cpu flag? strange! there're a lot of games with a 68000 cpu and only one visible bug?
User avatar
No.01541
Haze
Senior Tester
Jul 8, 2008, 16:05
it could be a timing thing.. I haven't checked.

There have been other bugs that occurred with the C 68k core but not the ASM 68k core due to timing. The timing on the C core is more accurate, but if the timing of the rest of the emulated system isn't (and CPS1 isn't) then it can give a false impression, especially if 'random' number generation is done by the game.

(of course, there might really be a bug..)
User avatar
No.01542
Kold666
Developer
Jul 8, 2008, 16:11
Confirmed with my pcb.
it seems the attract mode is different!

it reminds me Do run run which has a similar problem comparing to the pcb and Nicola told me it's a cpu syncro problem
User avatar
No.01547
robiza
Developer
Jul 8, 2008, 19:21
edited on: Jul 8, 2008, 19:22
yes, probably it's a timing issue
not sure! the clock of cpu it's confirmed (10 MHz)?
with 12 Mhz the bug disappear!

(other emulators and old mame maybe use different clock)
User avatar
No.01551
Kold666
Developer
Jul 8, 2008, 20:40
yes, with a 120% overclock is like the pcb, but mine has a 10mhz clock
User avatar
No.01554
Haze
Senior Tester
Jul 8, 2008, 21:42
how about underclocks? the waitstates slow the real CPS hardware down...

anwyay, based on what's been said, chances are it isn't a 68k bug. The 68k timings are more accurate than the timings in the CPS1 driver, which has various waitstates and delays during palette DMA that aren't emulated at all.
User avatar
No.01556
Kold666
Developer
Jul 9, 2008, 04:39
edited on: Jul 9, 2008, 04:40
yes, if you underclock to 96% the game behave correctly.
97% is not sufficient!
User avatar
No.06431
Layne
Tester
Jul 25, 2010, 08:38
Bug confirmed too by the video taken from the original Captain Commando (910928) pcb:

http://www.mametesters.org/view.php?id=3956